ubuntu/+source/pidgin:applied/ubuntu/gutsy

Last commit made on 2007-10-12
Get this branch:
git clone -b applied/ubuntu/gutsy https://git.launchpad.net/ubuntu/+source/pidgin
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/gutsy
Repository:
lp:ubuntu/+source/pidgin

Recent commits

af79d2c... by Sebastien Bacher on 2007-10-10

Import patches-applied version 1:2.2.1-1ubuntu4 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 93134a653a5b01ecb288778dbb29e209324e646b
Unapplied parent: 7cda5891c40bff3e7cfc723608f96b76e724b3b7

New changelog entries:
  * debian/patches/80_from_upstream_fix_irc_formatting_issue.patch:
    - patch from upstream, fix an IRC formatting issue
      (LP: #141201)

7cda589... by Sebastien Bacher on 2007-10-10

Import patches-unapplied version 1:2.2.1-1ubuntu4 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 986b01f62d3a1637b82674f70077b7e66c8f68ef

New changelog entries:
  * debian/patches/80_from_upstream_fix_irc_formatting_issue.patch:
    - patch from upstream, fix an IRC formatting issue
      (LP: #141201)

93134a6... by Sebastien Bacher on 2007-10-03

Import patches-applied version 1:2.2.1-1ubuntu3 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 90043fd101804c17d7ea8a89824521bca376c2e9
Unapplied parent: 986b01f62d3a1637b82674f70077b7e66c8f68ef

New changelog entries:
  * debian/control:
    - Build-Depends on libsqlite3-dev (LP: #112720)

986b01f... by Sebastien Bacher on 2007-10-03

Import patches-unapplied version 1:2.2.1-1ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: fa8fc8193a135bd995cbe8fced4cb28a8adeac48

New changelog entries:
  * debian/control:
    - Build-Depends on libsqlite3-dev (LP: #112720)

90043fd... by Sebastien Bacher on 2007-10-02

Import patches-applied version 1:2.2.1-1ubuntu2 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: dbee9d641195de6a1f0d03a6304514378df8af45
Unapplied parent: fa8fc8193a135bd995cbe8fced4cb28a8adeac48

New changelog entries:
  * debian/prefs.xml:
    - changes from "Whoopie", don't load docklet.so and use
      "pathlist" rather than "stringlist", fix plugins selections (LP: #144122)

fa8fc81... by Sebastien Bacher on 2007-10-02

Import patches-unapplied version 1:2.2.1-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 423fa774e9498b76d3e7e595c8de0c799c7e9294

New changelog entries:
  * debian/prefs.xml:
    - changes from "Whoopie", don't load docklet.so and use
      "pathlist" rather than "stringlist", fix plugins selections (LP: #144122)

dbee9d6... by Sebastien Bacher on 2007-10-01

Import patches-applied version 1:2.2.1-1ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 2abd9aa219cda4ed0191d342cf157d251b1550e7
Unapplied parent: 423fa774e9498b76d3e7e595c8de0c799c7e9294

New changelog entries:
  * Sync with Debian
  * New upstream release
    - Fixes remote DoS (crash) in the MSN protocol (CVE-2007-4996)
    - Fixes wrong file transfer size shown on MSN (Closes: #443447)
  * Remove circular dependencies on libpurple0/-bin (Closes: #444148)

423fa77... by Sebastien Bacher on 2007-10-01

Import patches-unapplied version 1:2.2.1-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 4890846fcf02fa571063b465d4dd2697de7b75ab

New changelog entries:
  * Sync with Debian
  * New upstream release
    - Fixes remote DoS (crash) in the MSN protocol (CVE-2007-4996)
    - Fixes wrong file transfer size shown on MSN (Closes: #443447)
  * Remove circular dependencies on libpurple0/-bin (Closes: #444148)

2abd9aa... by Sebastien Bacher on 2007-09-19

Import patches-applied version 1:2.2.0-1ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: c91f48b5dd79c7b1a96fac456758ef467f0d8c80
Unapplied parent: 4890846fcf02fa571063b465d4dd2697de7b75ab

New changelog entries:
  * Sync with Debian (LP: #139686)
  * debian/control:
    - Build-Depends on liblaunchpad-integration-dev, intltool, libnm-glib-dev
    - don't Build-Depends on libsilc-1.1-2-dev | libsilc-dev (>= 1.1.1),
      the library is in universe
    - changed the transition version to use the ubuntu epoch number
    - list gaim transitionnal package for updates
    - pidgin-data Replaces gaim-data
    - updated the maintainer for Ubuntu
  * debian/copyright:
    - build in the source, that's a soyuz requirement to accept the upload
  * debian/gaim.links:
    - gaim compatibility symlinks
  * debian/patches/01_lpi.patch:
    - launchpad integration patch.
  * debian/patches/02_autoconf.patch:
    - configure update
  * debian/patches/04_let_crasher_for_apport.patch:
    - don't catch crashes, apport does that.
    - fixes apport having broken backtraces for gaim
  * debian/patches/14_xulrunner_nss.patch:
    - removed for Ubuntu, firefox nss is used
  * debian/patches/99_default_to_irc_ubuntu_com.patch:
    - set default irc server to irc.ubuntu.com
  * debian/pidgin-dbg.preinst, debian/pidgin-dev.preinst, debian/pidgin.preinst:
    - use the correct transition version
  * debian/prefs.xml:
    - set the notify by default (Ubuntu: #13389)
  * debian/rules:
    - add translation domain and update template
    - build with network-manager and without libsilc
    - don't remove the copyright on clean
  * New upstream version
    - Fixes tabbed window preference (Closes: #440260)
    - Fixes crash in music messaging plugin when sending message to offline
      buddy (Closes: #441852)
    - Adds option to show protocol icons in buddy list (Closes: #432077)
  * pidgin-dev and finch-dev should depend on libpurple-dev (Closes: #441191)
  * Make finch conflict & replace old versions of gaim (closes: #440351)
  [ Laurent Bigonville ]
  * Bump Standards-Version
  * Split finch out of the pidgin package (Closes: #428678)
  * Split libpurple out of the pidgin package (Closes: #421282)
  * Add override file to quiet lintian a bit
  * Remove symlinks for /usr/share/doc/pidgin{,-dev,-dbg} and really install
    them instead
  [ Ari Pollak ]
  * Move gconf schema into pidgin, so only pidgin needs to depend on gconf
  * Make dh_pidgin add a versioned misc:Conflict on the next major version
    of pidgin, in preparation for getting rid of the pidgin (<< 3.0)
    dependency, and adding dh_purple/dh_finch.
  * New upstream version
  * Update new SVN repository information in debian/control
  * Install Finch's window managers correctly (Closes: #438536)
  * New upstream version
    - Fixes a spelling mistake in MSN (Closes: #427170)
    - Fixes a tray icon scaling problem on vertical panels (Closes: #433909)
  * Make package binNMU-safe (Closes: #430101)
  * Add Depends: python
  * New upstream version (Closes: #429222)
  * Enable SILC support (Closes: #260420)
  * 21_purple-remote_syntax.patch:
    - Fix syntax error in purple-remote script (Closes: #429623)
  * New upstream release
    - Should fix some buddy list synchronization crashes (Closes: #424062)
  * Fix gevolution dependency exclusion
  * Add appropriate Conflicts in addition to Replaces
  * Fix dh_pidgin warning due to current lack of package epoch
  * Remove bashism in debian/rules
  * Make pidgin-dev Replaces: gaim-dev (Closes: #422724)

4890846... by Sebastien Bacher on 2007-09-19

Import patches-unapplied version 1:2.2.0-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: a2e8d88ce096469f7c97f24ca621566b6ae94c1c

New changelog entries:
  * Sync with Debian (LP: #139686)
  * debian/control:
    - Build-Depends on liblaunchpad-integration-dev, intltool, libnm-glib-dev
    - don't Build-Depends on libsilc-1.1-2-dev | libsilc-dev (>= 1.1.1),
      the library is in universe
    - changed the transition version to use the ubuntu epoch number
    - list gaim transitionnal package for updates
    - pidgin-data Replaces gaim-data
    - updated the maintainer for Ubuntu
  * debian/copyright:
    - build in the source, that's a soyuz requirement to accept the upload
  * debian/gaim.links:
    - gaim compatibility symlinks
  * debian/patches/01_lpi.patch:
    - launchpad integration patch.
  * debian/patches/02_autoconf.patch:
    - configure update
  * debian/patches/04_let_crasher_for_apport.patch:
    - don't catch crashes, apport does that.
    - fixes apport having broken backtraces for gaim
  * debian/patches/14_xulrunner_nss.patch:
    - removed for Ubuntu, firefox nss is used
  * debian/patches/99_default_to_irc_ubuntu_com.patch:
    - set default irc server to irc.ubuntu.com
  * debian/pidgin-dbg.preinst, debian/pidgin-dev.preinst, debian/pidgin.preinst:
    - use the correct transition version
  * debian/prefs.xml:
    - set the notify by default (Ubuntu: #13389)
  * debian/rules:
    - add translation domain and update template
    - build with network-manager and without libsilc
    - don't remove the copyright on clean
  * New upstream version
    - Fixes tabbed window preference (Closes: #440260)
    - Fixes crash in music messaging plugin when sending message to offline
      buddy (Closes: #441852)
    - Adds option to show protocol icons in buddy list (Closes: #432077)
  * pidgin-dev and finch-dev should depend on libpurple-dev (Closes: #441191)
  * Make finch conflict & replace old versions of gaim (closes: #440351)
  [ Laurent Bigonville ]
  * Bump Standards-Version
  * Split finch out of the pidgin package (Closes: #428678)
  * Split libpurple out of the pidgin package (Closes: #421282)
  * Add override file to quiet lintian a bit
  * Remove symlinks for /usr/share/doc/pidgin{,-dev,-dbg} and really install
    them instead
  [ Ari Pollak ]
  * Move gconf schema into pidgin, so only pidgin needs to depend on gconf
  * Make dh_pidgin add a versioned misc:Conflict on the next major version
    of pidgin, in preparation for getting rid of the pidgin (<< 3.0)
    dependency, and adding dh_purple/dh_finch.
  * New upstream version
  * Update new SVN repository information in debian/control
  * Install Finch's window managers correctly (Closes: #438536)
  * New upstream version
    - Fixes a spelling mistake in MSN (Closes: #427170)
    - Fixes a tray icon scaling problem on vertical panels (Closes: #433909)
  * Make package binNMU-safe (Closes: #430101)
  * Add Depends: python
  * New upstream version (Closes: #429222)
  * Enable SILC support (Closes: #260420)
  * 21_purple-remote_syntax.patch:
    - Fix syntax error in purple-remote script (Closes: #429623)
  * New upstream release
    - Should fix some buddy list synchronization crashes (Closes: #424062)
  * Fix gevolution dependency exclusion
  * Add appropriate Conflicts in addition to Replaces
  * Fix dh_pidgin warning due to current lack of package epoch
  * Remove bashism in debian/rules
  * Make pidgin-dev Replaces: gaim-dev (Closes: #422724)